- if controller_name != 'sessions' && !current_user
  = link_to t('login'), new_session_path(resource_name), class: 'btn btn-dark m-3'
  
- if devise_mapping.registerable? && controller_name != 'registrations'
  = link_to t('sign_up'), new_registration_path(resource_name), class: 'btn btn-dark m-3'
  
- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations'
  .w-100
  = link_to t('forgot_pw'), new_password_path(resource_name)
  
- if devise_mapping.confirmable? && controller_name != 'confirmations'
  = link_to t('received_confirm'), new_confirmation_path(resource_name)
  
- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks'
  = link_to t('received_unlock'), new_unlock_path(resource_name)
  
- if devise_mapping.omniauthable?
  - resource_class.omniauth_providers.each do |provider|
    = link_to "#{t('sign_with')} #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider), method: :post
